AnyEvent::FTP::Server::Context::Memory(3pm)

NAME
AnyEvent::FTP::Server::Context::Memory - FTP Server client context class with full read/write access

VERSION
version 0.20

SYNOPSIS
 use AnyEvent::FTP::Server;

 my $server = AnyEvent::FTP::Server->new(
   default_context => 'AnyEvent::FTP::Server::Context::Memory',
 );

DESCRIPTION
This class provides a context for AnyEvent::FTP::Server which uses memory to provide storage. Once the server process terminates, all data stored is lost.

Note that this implementation is incomplete.

ROLES
This class consumes these roles:

•   AnyEvent::FTP::Server::Role::Auth

•   AnyEvent::FTP::Server::Role::Help

•   AnyEvent::FTP::Server::Role::Old

•   AnyEvent::FTP::Server::Role::Type

ATTRIBUTES

  store
Has containing the directory tree for the context.

  cwd
The current working directory for the context. This will be an Path::Class::Dir.

  find
Returns the hash (for directory) or scalar (for file) of a file in the filesystem.

  rename_from
 my $filename = $context->rename_from;

The filename specified by the last FTP "RNFR" command.

COMMANDS
In addition to the commands provided by the above roles, this context provides these FTP commands:

CWD
CDUP
PWD
SIZE
MKD
RMD
DELE
RNFR
RNTO
STAT
NLST

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Ryo Okamoto

Shlomi Fish

José Joaquín Atria

COPYRIGHT AND LICENSE
This software is copyright (c) 2017-2022 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.